cURL
curl --request POST \ --url https://api.itellico.ai/v1/accounts/{account_id}/sip-trunks \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "name": "<string>", "termination_uri": "<string>", "allowed_ips": [ "<string>" ] } '
{ "id": "<string>", "name": "<string>", "phone_numbers": [ { "id": "<string>", "number": "<string>", "friendly_name": "<string>" } ], "has_auth_password": false, "auth_password_length": 123, "allowed_ips": [ "<string>" ], "termination_uri": "<string>", "sip_auth_username": "<string>" }
Create a Bring-Your-Own-Carrier (BYOC) SIP trunk for inbound/outbound calls. For trunks that target FusionPBX, provisioning is performed synchronously.
IPv4/IPv6 or CIDR ranges
Created
Display name for this SIP trunk
100
Show child attributes
Was this page helpful?